Bug 474606 - Review Request: SolarModel - Realtime 3D Solar System simulation
Review Request: SolarModel - Realtime 3D Solar System simulation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On: 474603
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 11:48 EST by Tom "spot" Callaway
Modified: 2009-01-12 14:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-12 14:54:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-12-04 11:48:56 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/SolarModel.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/SolarModel-2.1-1.fc11.src.rpm
Description: 
Solar Model provides realtime modeling of the solar system. It allows the user
to navigate in space, to control time counting (speed-up time flow) and
estimate real movement of space bodies like planets, dwarf planets and moons;
estimate its nowadays positions in space. You may select two possible views:
Solar System view or Milky Way galaxy view. It also allows the user to bind
the camera to space objects (for example, you can look from the Moon onto Earth
in real time flow).
Comment 1 Lubomir Rintel 2008-12-04 17:58:46 EST
Well done!

* SPEC file is clean, legible. RPMlint produces no errors and warnings.
(I think "Realtime" (in Summary) is correctly spelled "Real-time" in American English, but I'm not sure since I'm not a native speaker.)

* Built in fedora-5-i386-epel mock (irrlicht packages pulled in manually) successfully with after a tiny 32bit-specific fix applied (I assume x86_64 builds fine). Anyways, BRs are connect.

To build this on i386 a small change is needed, since the length of a light year won't fit in a 32bit doubleword (sorry about the light breaks, but it's trivial to apply this by hand anyways):

diff -up SolarModel_src/GameMeasurer.cpp.int SolarModel_src/GameMeasurer.cpp
--- SolarModel_src/GameMeasurer.cpp.int 2008-12-04 21:03:05.000000000 +0100
+++ SolarModel_src/GameMeasurer.cpp     2008-12-04 21:11:32.000000000 +0100
@@ -313,7 +313,7 @@ core::stringw GameMeasurer::GetDistanceA
                        distanceKM/9460730472581.0f);
 
                swprintf(s, (sizeof(s)/sizeof(s[0])), L"%.0lf km%s%s",
-                       distanceKM, distanceKM>149598?au:L"", distanceKM>9460730473?ly:L"");
+                       distanceKM, distanceKM>149598?au:L"", distanceKM>9460730473LL?ly:L"");
        }
 
        return core::stringw(s);

It won't block the approval, since at the packages are required to build on at least one architecture, and I don't see why won't this build on x86_64.

APPROVED
Comment 2 Lubomir Rintel 2008-12-05 09:49:25 EST
Also -- now I realize this doesn't create a Desktop Entry. Please install a .desktop file with this package. Thanks!
Comment 3 Tom "spot" Callaway 2009-01-05 17:34:14 EST
Here is a new SRPM/SPEC:

New SRPM: http://www.auroralinux.org/people/spot/review/new/SolarModel-2.1-2.fc11.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/SolarModel.spec

Please note that this package depends on irrlicht (bz 474603).
Comment 4 Tom "spot" Callaway 2009-01-12 11:18:27 EST
New Package CVS Request
=======================
Package Name: SolarModel
Short Description: Real-time 3D Solar System simulation
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.
Comment 5 Tom "spot" Callaway 2009-01-12 14:54:32 EST
Built for F-9, F-10, rawhide.

Note You need to log in before you can comment on or make changes to this bug.